CRL (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.security.cert, class: CRL
Keywords: java.security.cert.CRL class

# Class CRL

java.lang.Object
java.security.cert.CRL

Direct Known Subclasses:
  `X509CRL`

public abstract class CRL extends Object
This class is an abstraction of certificate revocation lists (CRLs) that have different formats but important common uses. For example, all CRLs share the functionality of listing revoked certificates, and can be queried on whether they list a given certificate.

Specialized CRL types can be defined by subclassing off of this abstract class.

Since:
  1.2
See Also:
  - `X509CRL`
  - `CertificateFactory`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CRL(String type)`
  Creates a CRL of the specified type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getType()`
  Returns the type of this CRL.
  `abstract boolean`
  `isRevoked(Certificate cert)`
  Checks whether the given certificate is on this CRL.
  `abstract String`
  `toString()`
  Returns a string representation of this CRL.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### CRL

    protected CRL(String type)
    Creates a CRL of the specified type.
    Parameters:
      `type` - the standard name of the CRL type. See the Java Security Standard Algorithm Names document for information about standard CRL types.
    External Specifications
      - Java Security Standard Algorithm Names

- ## Method Details

  - ### getType

    public final String getType()
    Returns the type of this CRL.
    Returns:
      the type of this CRL.

  - ### toString

    public abstract String toString()
    Returns a string representation of this CRL.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this CRL.

  - ### isRevoked

    public abstract boolean isRevoked(Certificate cert)
    Checks whether the given certificate is on this CRL.
    Parameters:
      `cert` - the certificate to check for.
    Returns:
      true if the given certificate is on this CRL, false otherwise.